> For the complete documentation index, see [llms.txt](https://pacifica.gitbook.io/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://pacifica.gitbook.io/docs/api-documentation/api/rest-api/markets/get-prices.md).

# Get prices

```
GET /api/v1/info/prices
```

#### Response

* Status 200: Success

```json
 {
  "success": true,
  "data": [
    {
      "funding": "0.00010529",
      "mark": "1.084819",
      "mid": "1.08615",
      "next_funding": "0.00011096",
      "open_interest": "3634796",
      "oracle": "1.084524",
      "symbol": "XPL",
      "timestamp": 1759222967974,
      "volume_24h": "20896698.0672",
      "yesterday_price": "1.3412"
    }
  ],
  "error": null,
  "code": null
}
```

<table><thead><tr><th width="208">Field</th><th width="186">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>"funding"</code></td><td>decimal string</td><td>funding rate paid in the past funding epoch (hour)</td></tr><tr><td><code>"mark"</code></td><td>decimal string</td><td>Mark price, as defined above</td></tr><tr><td><code>"mid"</code></td><td>decimal string</td><td>Mid price, defined as the average of the best bid and best ask price</td></tr><tr><td><code>"next_funding"</code></td><td>decimal string</td><td>estimated funding rate to be paid in the next funding epoch (hour)</td></tr><tr><td><code>"open_interest"</code></td><td>decimal string</td><td>The current open interest on this symbol (in USD)</td></tr><tr><td><code>"oracle"</code></td><td>decimal string</td><td>Oracle price, as defined above</td></tr><tr><td><code>"symbol"</code></td><td>string</td><td>Trading pair symbol</td></tr><tr><td><code>"timestamp"</code></td><td>integer</td><td>Timestamp in Milliseconds</td></tr><tr><td><code>"volume_24h"</code></td><td>boolean</td><td>Volume (USD) of this market in the past 24 hours</td></tr><tr><td><code>"yesterday_price"</code></td><td>decimal string</td><td>Oracle price of this market 24 hours ago (USD)</td></tr></tbody></table>

* Status 404: No prices data available
* Status 500: Internal server error

#### Code Example (Python)

```python
import requests

response = requests.get(
    "/api/v1/info/prices",
    headers={"Accept": "*/*"},
)

data = response.json()
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://pacifica.gitbook.io/docs/api-documentation/api/rest-api/markets/get-prices.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
